Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.Collections.Generic
Imports ASPNET.StarterKit.BusinessLogicLayer

Partial Public Class MasterPage_master
    Inherits System.Web.UI.MasterPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        Dim TitleText As String
        TitleText = Settings.GetSetting("PortalTitle")
        If String.IsNullOrEmpty(TitleText) Then
            MainTitle.Text = "Community Edition"
        Else
            MainTitle.Text = TitleText
        End If

        If Page.User.Identity.IsAuthenticated Then
            EditProfile.Text = Page.User.Identity.Name
            EditProfile.Visible = True
        End If

    End Sub

    Protected Sub EditProfile_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles EditProfile.Click
        Response.Redirect("User_SelfEdit.aspx")
    End Sub
End Class
